Browse Source

Merge pull request #370 from Jguer/travis-exp

Test arch-travis on yay. Just test if it's building right now and then we can get serious
J Guerreiro 6 years ago
parent
commit
6809d7c6d2
2 changed files with 33 additions and 0 deletions
  1. 20 0
      .travis.yml
  2. 13 0
      testdata/install_test.sh

+ 20 - 0
.travis.yml

@@ -0,0 +1,20 @@
+sudo: required
+notifications:
+  email: false
+language: generic
+services:
+  - docker
+
+arch:
+  packages:
+    - git
+    - go
+  script:
+    - go tool vet .
+    - diff -u <(echo -n) <(gofmt -d ./)
+    - make
+    - make test
+    - ./testdata/install_test.sh
+
+script:
+  - "curl -s https://raw.githubusercontent.com/mikkeloscar/arch-travis/master/arch-travis.sh | bash"

+ 13 - 0
testdata/install_test.sh

@@ -0,0 +1,13 @@
+#!/bin/bash
+
+function error() {
+  echo "ERROR: $1"
+  exit 1
+}
+
+echo "Start simple"
+./yay -S shfmt --noconfirm || error "unable to make shfmt"
+
+./yay -Qsq shfmt || error "unable to install shfmt"
+
+exit 0